<?php
#
# GNU/GPL v2 and so on :)
#
# Zdenek Styblik
# zdenek.styblik \at\ gmail \dot\ com
# 2008-06-11
#
class neplatic extends defaultLib
{
	public $settings;
	private $path = ""; // path to files;

	function __construct()
	{
		$this->settings = new StdClass;
		$settings = $this->settings;
		$settings->config = new StdClass;
		$settings->xmlobject = new StdClass;
		$settings->layout = "neplatic.xsl";
		$settings->debug = new StdClass;
		$this->scriptname = $this->getScriptname();
		$settings->xmlobject->scriptname = $this->scriptname;
		$this->auto_index = -1;
	}
	function __destruct()
	{
		unset($settings);
	}
	public function init()
	{
		$this->path = $this->getPath();
		try
		{
			if (file_exists($this->path . "conf/neplatic_config.php") && is_readable($this->path . "conf/neplatic_config.php"))
			{
				require_once($this->path . "conf/neplatic_config.php");
			} else 
			{
				throw new Exception ("Unable to open config file;");
			}
			if (!isset($config['db_host']) || !isset($config['db_port']) || !isset($config['db_user']) || !isset($config['db_password']) || !isset($config['db_dbname']))
			{
				throw new Exception ("One or more db config values are not set;");
			}
			$connstring = "host={$config['db_host']} port={$config['db_port']} user={$config['db_user']} password={$config['db_password']} dbname={$config['db_dbname']}";
			$dbconn = pg_connect($connstring) or die("I can't connect to DB;");
			$xml = $this->settings->xmlobject;
			$ip = $this->stripMe($_SERVER['REMOTE_ADDR']);
			$sql1 = "SELECT tm_users.id_member FROM tm_users JOIN tm_ip ON tm_users.id_user = tm_ip.id_user WHERE ip = '{$ip}/32'";
			$result1 = pg_query($sql1);
			$rowcount1 = pg_num_rows($result1);
			if ($rowcount1 == 1)
			{
				$row1 = pg_fetch_assoc($result1, 0);
				if (!empty($row1['id_member']))
				{
					$xml->vsymbol = $row1['id_member'];
					$sql2 = "SELECT EXTRACT(month FROM date) AS month, EXTRACT(year FROM date) AS year, due FROM tm_dues WHERE is_paid = '0' AND id_member = {$row1['id_member']}";
					$result2 = pg_query($sql2);
					$rowcount2 = pg_num_rows($result2);
					if ($rowcount2 > 0)
					{
						$xml->unpaid = new StdClass;
						for ($a = 0; $a < $rowcount2; $a++)
					 	{
							$row2 = pg_fetch_assoc($result2, $a);
							$xml->unpaid->entry[$a] = new StdClass;
							$xml->unpaid->entry[$a]->month = $row2['month'];
							$xml->unpaid->entry[$a]->year = $row2['year'];
							$xml->unpaid->entry[$a]->amount = $row2['due'];
						}
					}
				} else
				{
					$xml->vsymbol = "neznámý vsymbol";
				}
			} else
			{
				$xml->vsymbol = "neregistrovaná IP";
			}
		} catch (Exception $e)
		{
			echo "caught exception {$e->getMessage()}\n";
			echo "unable to continue and bailing out;\n";
			exit();
		}
	}
}
?>
